Gyoto::Property::setter_t Union Reference

Union holding an accessor to set any type. More...

`#include <GyotoProperty.h>`

## Public Attributes

set_double_t | set_double
set_long_t | set_long
set_unsigned_long_t | set_unsigned_long
set_size_t_t | set_size_t
set_bool_t | set_bool
set_string_t | set_string
set_vector_double_t | set_vdouble
set_vector_unsigned_long_t | set_vulong
set_metric_t | set_metric
set_screen_t | set_screen
set_astrobj_t | set_astrobj
set_spectrum_t | set_spectrum
set_spectrometer_t | set_spectrometer

## Detailed Description

Union holding an accessor to set any type.

Right type is stored in type

The documentation for this union was generated from the following file:

- GyotoProperty.h